Bug 591059 - Some AVI videos are severely distorted
Some AVI videos are severely distorted
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 06:57 EDT by Sandro Mani
Modified: 2018-04-11 13:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-27 19:26:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example screenshot (593.70 KB, image/png)
2010-05-11 11:08 EDT, Sandro Mani
no flags Details
dmesg (122.75 KB, text/plain)
2010-05-11 12:45 EDT, Sandro Mani
no flags Details
messages (83.44 KB, text/plain)
2010-05-11 12:45 EDT, Sandro Mani
no flags Details
Xorg.0.log (76.11 KB, text/plain)
2010-05-11 12:45 EDT, Sandro Mani
no flags Details

  None (edit)
Description Sandro Mani 2010-05-11 06:57:46 EDT
Description of problem:
Some AVI videos are played distorted in applications using gstreamer.

Version-Release number of selected component (if applicable):
gstreamer-plugins-ugly-0.10.14-1.fc13.x86_64
PackageKit-gstreamer-plugin-0.6.4-1.fc13.x86_64
gstreamer-tools-0.10.29-1.fc13.x86_64
gstreamer-python-0.10.16-1.fc12.x86_64
gstreamer-plugins-good-0.10.22-2.fc13.x86_64
gstreamer-plugins-base-0.10.29-1.fc13.x86_64
gstreamer-rtsp-0.10.5-1.fc13.x86_64
gstreamer-plugins-bad-nonfree-0.10.18-1.fc13.x86_64
gstreamer-ffmpeg-0.10.10-1.fc13.x86_64
gstreamer-plugins-bad-free-0.10.18-2.fc13.x86_64
gstreamer-plugins-bad-0.10.18-1.fc13.x86_64
gstreamer-0.10.29-1.fc13.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Play http://n.ethz.ch/~smani/download/example.avi example in totem
2.
3.
  
Actual results:
It appears that one channel (green?) is distorted

Expected results:


Additional info:
Worked fine in f12, also plays fine in VLC. Distortion appears to affect all applicaitons using gstreamer (totem, banshee, ...).
Comment 1 Benjamin Otte 2010-05-11 10:57:16 EDT
The example video plays fine for me. I'm suspecting this is a video driver issue. To make sure:
1) What GPU and Xorg drivers are you using?
2) Can you change the Gconf key /system/gstreamer/0.10/default/videosink to "ximagesink" (without quotes) and see if that makes it work? (Don't forget to change it back again, it's slower.)
Comment 2 Sandro Mani 2010-05-11 11:08:14 EDT
Created attachment 413165 [details]
Example screenshot

GPU is a Intel GM45 Express Chipset, using
mesa-libGL-7.8.1-6.fc13.x86_64
mesa-libGLU-7.8.1-6.fc13.x86_64
xorg-x11-server-common-1.8.0-12.fc13.x86_64
xorg-x11-drv-intel-2.11.0-4.fc13.x86_64
libdrm-2.4.20-1.fc13.x86_64
libdrm-devel-2.4.20-1.fc13.x86_64
xorg-x11-server-Xorg-1.8.0-12.fc13.x86_64
mesa-dri-drivers-7.8.1-6.fc13.x86_64
mesa-libGL-devel-7.8.1-6.fc13.x86_64
xorg-x11-server-utils-7.4-16.fc13.x86_64
mesa-libGLU-devel-7.8.1-6.fc13.x86_64

Works fine with ximagesink. Attached screenshot shows problem.
Comment 3 Benjamin Otte 2010-05-11 11:35:50 EDT
This does indeed look like driver issue, so I'll assign this to them.
I do wonder why VLC works though...
Comment 4 Matěj Cepl 2010-05-11 11:44:12 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command,
* system log (/var/log/messages), and
* X server log file (/var/log/Xorg.*.log)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Sandro Mani 2010-05-11 12:45:12 EDT
Created attachment 413191 [details]
dmesg

Attaching requested files (have no custom xorg.conf), which were obtained after a reboot + playing an affected video file with debug messages enabled.
Comment 6 Sandro Mani 2010-05-11 12:45:32 EDT
Created attachment 413192 [details]
messages
Comment 7 Sandro Mani 2010-05-11 12:45:52 EDT
Created attachment 413193 [details]
Xorg.0.log
Comment 8 Sandro Mani 2010-05-11 17:14:15 EDT
As a side note, just noticed that also VLC is affected with a DivX MPEG-4 Version 5 AVI.

Note You need to log in before you can comment on or make changes to this bug.